Declare Function AnsiToAscii$ Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function AsciiToAnsi$ Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function CRLF$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal ascii%)
Declare Function Decrypt$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal cryptStr$)
Declare Function Decrypt7$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal cryptStr$)
Declare Function DecryptZ$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal cryptStr$)
Declare Function Encrypt$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal cryptStr$)
Declare Function Encrypt7$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal cryptStr$)
Declare Function EncryptZ$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal cryptStr$)
Declare Function Find% Lib "IDBTOOLS.DLL" (ByVal findString$, ByVal inString$, ByVal pos%)
Declare Function FullPath$ Lib "IDBTOOLS.DLL" (ByVal filePattern$)
Declare Function IdbToolsVersion$ Lib "IDBTOOLS.DLL" ()
Declare Function IniFileGetString$ Lib "IDBTOOLS.DLL" (ByVal fileName$, ByVal section$, ByVal entry$)
Declare Function IniFilePutString% Lib "IDBTOOLS.DLL" (ByVal fileName$, ByVal section$, ByVal entry$, ByVal newString$)
Declare Function LicenseGetCode$ Lib "IDBTOOLS.DLL" (ByVal lname$, ByVal lcode$)
Declare Function LicenseIdbTools% Lib "IDBTOOLS.DLL" (ByVal lname$, ByVal lcode$)
Declare Function LicenseProgram% Lib "IDBTOOLS.DLL" (ByVal lname$, ByVal lcode$, ByVal key$)
Declare Function Modulus10$ Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function Modulus10Calc$ Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function Modulus10Valid% Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function Modulus11$ Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function Modulus11Calc$ Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function Modulus11Valid% Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Function Num0$ Lib "IDBTOOLS.DLL" (ByVal value&, ByVal nDigits%)
Declare Function Pick$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal pos%, ByVal num%)
Declare Function PickWord$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal pos%, ByVal delim%)
Declare Function PickWords$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal pos%, ByVal num%, ByVal delim%)
Declare Function Place$ Lib "IDBTOOLS.DLL" (ByVal fromStr$, ByVal toStr$, ByVal pos%, ByVal num%)
Declare Function Strip$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal delim%, ByVal stripType%)
Declare Function Subst$ Lib "IDBTOOLS.DLL" (ByVal oldStr$, ByVal newStr$, ByVal inString$, pos%)
Declare Function SubstAll$ Lib "IDBTOOLS.DLL" (ByVal oldStr$, ByVal newStr$, ByVal inString$)
Declare Function SwapChrs$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal chrs$)
Declare Function SwapDate$ Lib "IDBTOOLS.DLL" (ByVal dateIn$)
Declare Function SwapStr$ Lib "IDBTOOLS.DLL" (ByVal strIn$, ByVal fromFmt$, ByVal toFmt$)
Declare Function SysInfo$ Lib "IDBTOOLS.DLL" (ByVal what%)
Declare Function SysInfoNum& Lib "IDBTOOLS.DLL" (ByVal what%)
Declare Sub IdbTrace Lib "IDBTOOLS.DLL" (ByVal strIn$)
Declare Sub IdbTraceStr Lib "IDBTOOLS.DLL" (ByVal strIn$)

' Types for Strip (Leading/Trailing or Left/Right):
Global Const STRIP_L% = &H100
Global Const STRIP_T% = &H200
Global Const STRIP_R% = &H200
Global Const STRIP_LT% = &H300
Global Const STRIP_LR% = &H300
Global Const STRIP_ALL% = &H400

' Types for SysInfo:
Global Const SCREEN_SIZE_X% = 1
Global Const SCREEN_SIZE_Y% = 2
Global Const SCREEN_SIZE_PALETTE% = 3
Global Const MEMORY_FREE_KB% = 4
Global Const MEMORY_BIGGEST_FREE_BLOCK_KB% = 5
Global Const DISK_DRIVE% = 6
Global Const DIR_WINDOWS% = 7
Global Const DIR_WINDOWS_SYSTEM% = 8
Global Const DISK_FREE_KB% = &H80
Global Const DISK_SIZE_KB% = &H100
Global Const DISK_PATH% = &H1000
Global Const DISK_TYPE% = &H1080
Global Const DISK_VOLUME_SERIAL_NUMBER% = &H1100
Global Const DISK_VOLUME_LABEL% = &H1180
Global Const DISK_VOLUME_DATE% = &H1200
Global Const DISK_VOLUME_TIME% = &H1280

' SysInfo(DISK_TYPE) returns:
Global Const DRIVE_REMOVABLE% = 2
Global Const DRIVE_FIXED% = 3
Global Const DRIVE_REMOTE% = 4

