Declare Function ITabDir& Lib "IDBTOOLS.DLL" (ByVal fileName$, ByVal fileType&)
Declare Function ITabEnvList& Lib "IDBTOOLS.DLL" ()
Declare Function ITabFind% Lib "IDBTOOLS.DLL" (ByVal table&, ByVal findStr$, ByVal row%, ByVal col%, ByVal typ%)
Declare Function ITabFindGE% Lib "IDBTOOLS.DLL" (ByVal table&, ByVal findStr$, ByVal col%)
Declare Function ITabGet$ Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%)
Declare Function ITabGetColWidth% Lib "IDBTOOLS.DLL" (ByVal table&, ByVal col%)
Declare Function ITabGetInt% Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%)
Declare Function ITabGetLine$ Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%)
Declare Function ITabGetLong& Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%)
Declare Function ITabGetNumColumns% Lib "IDBTOOLS.DLL" (ByVal table&)
Declare Function ITabGetNumLines% Lib "IDBTOOLS.DLL" (ByVal table&)
Declare Function ITabGetReal# Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%)
Declare Function ITabGetSize& Lib "IDBTOOLS.DLL" (ByVal table&)
Declare Function ITabNew& Lib "IDBTOOLS.DLL" (ByVal lines%, ByVal cols%)
Declare Function ITabNewArray& Lib "IDBTOOLS.DLL" (ByVal lines%)
Declare Function ITabRead& Lib "IDBTOOLS.DLL" (ByVal fileName$, ByVal fileType&)
Declare Function ITabReadFixedRecLenFile& Lib "IDBTOOLS.DLL" (ByVal fileName$, ByVal fmt$)
Declare Function ITabWrite% Lib "IDBTOOLS.DLL" (ByVal table&, ByVal fileName$, ByVal fileType&)
Declare Sub ITabBlankLine Lib "IDBTOOLS.DLL" (ByVal table&, ByVal atLine%)
Declare Sub ITabBlankLines Lib "IDBTOOLS.DLL" (ByVal table&, ByVal atLine%, ByVal num%)
Declare Sub ITabDelete Lib "IDBTOOLS.DLL" (table&)
Declare Sub ITabInsertLine Lib "IDBTOOLS.DLL" (ByVal table&, ByVal atLine%)
Declare Sub ITabInsertLines Lib "IDBTOOLS.DLL" (ByVal table&, ByVal atLine%, ByVal num%)
Declare Sub ITabPut Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%, ByVal datastr$)
Declare Sub ITabPutInt Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%, ByVal value%)
Declare Sub ITabPutLine Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal datastr$)
Declare Sub ITabPutLong Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%, ByVal value&)
Declare Sub ITabPutReal Lib "IDBTOOLS.DLL" (ByVal table&, ByVal lin%, ByVal col%, value#)
Declare Sub ITabRemoveLine Lib "IDBTOOLS.DLL" (ByVal table&, ByVal atLine%)
Declare Sub ITabRemoveLines Lib "IDBTOOLS.DLL" (ByVal table&, ByVal atLine%, ByVal num%)
Declare Sub ITabSmartSort Lib "IDBTOOLS.DLL" (ByVal table&, ByVal col%)

' For debug/testing:
Declare Function ITabUsed& Lib "IDBTOOLS.DLL" ()
Declare Function ITabChainGetFirst& Lib "IDBTOOLS.DLL" ()
Declare Function ITabChainGetNext& Lib "IDBTOOLS.DLL" (ByVal table&)
Declare Function ITabDeleteAll& Lib "IDBTOOLS.DLL" ()

' Itab <-> Formula One:
Declare Sub ITabCopyToVTSS Lib "IDBVTSS.DLL" (ByVal table&, ByVal ssHandle&)
Declare Function ITabCopyFromVTSS& Lib "IDBVTSS.DLL" (ByVal ssHandle&)

'Test
Declare Sub ITabCopyToGrid Lib "IDBVTSS.DLL" (ByVal table&, ByVal ssHandle&)

'Constants for ITabRead/ITabWrite (may also use STRIP* defined in IDBTOOLS.BAS)
Global Const IT_TEXTFILE% = 0
Global Const IT_TABFILE& = &H10000
Global Const IT_CSVFILE& = &H20000
Global Const IT_CSV0FILE& = &H40000
Global Const IT_ASCII% = &H800

'Constants for ITabFind..
Global Const IT_EXACT% = 0
Global Const IT_WILD% = 2048
Global Const IT_FOLD% = 4096

